Name:		dosbox
Version:	0.74
Release:	%mkrel 4
Summary:	Free Open Source DOS emulator to run old DOS games
Source0:	http://prdownloads.sourceforge.net/dosbox/%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		%{name}-%{version}-fix-str-fmt.patch
# From openSUSE:
# https://build.opensuse.org/package/view_file?file=gcc46.patch&package=dosbox&project=Emulators
Patch1:         %{name}-%{version}-gcc47.patch
License:	GPLv2+
Group:		Emulators
URL:		http://dosbox.sourceforge.net/
BuildRequires:	png-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	mesaglu-devel

%description
DOSBox is a DOS-emulator that uses the SDL-library which makes
DOSBox very easy to port to different platforms. DOSBox has
already been ported to many different platforms, such as
Windows, BeOS, Linux, MacOS X...

DOSBox also emulates CPU:286/386 realmode/protected mode,
Directory FileSystem/XMS/EMS, Tandy/Hercules/CGA/EGA/VGA/VESA
graphics, a SoundBlaster/Gravis Ultra Sound card for excellent
sound compatibility with older games...

You can "re-live" the good old days with the help of DOSBox,
it can run plenty of the old classics that don't run on your
new computer!

%prep
%setup -q
%apply_patches

%build
%configure2_5x	--enable-core-inline
%make

%install
%makeinstall
rm -rf %{buildroot}%{_datadir}/doc/dosbox

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=DOSBox
Comment=DOS emulator to run old DOS games
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Emulator;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%files
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%{_mandir}/*/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*.desktop
%doc AUTHORS ChangeLog NEWS README THANKS


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.74-4.mga3
+ Revision: 349063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 dams <dams> 0.74-3.mga3
+ Revision: 317203
- add a patch from opensuse to fix build with gcc47
- clean and update specfile

* Sun Feb 20 2011 eandry <eandry> 0.74-2.mga2
+ Revision: 54745
- remove mandriva stuff
- fix license
- imported package dosbox

